<?php // ChatterBot2WP - Core Functions
	if (!function_exists('add_action')) die();
    //function get_the_IDn() {
        //$post = get_post();
        //return ! empty( $post ) ? $post->ID : false;
    //}
	function chatterbot2wp_init($ChatterBot2WP) {
		$options = get_option('c2w_options', $ChatterBot2WP->default_options());
		$location = isset($options['c2w_location']) ? $options['c2w_location'] : 'footer';
		$admin = isset($options['admin_area']) ? $options['admin_area'] : 0;
		$function = 'chatterbot2wp_cpcampaign_code';
		if ($location === 'header') {
			if ($admin) add_action('admin_head', $function);
			add_action('wp_head', $function);
		} else {
			if ($admin) add_action('admin_footer', $function);
			add_action('wp_footer', $function);
		}
	}
	function chatterbot2wp_cpcampaign_code() {
		extract(chatterbot2wp_options());
		$show_on_this=false;
		$this_page_id=get_the_ID();
		$tst='';
		if(str_replace(' ','',$pages_array)!=''){
			$mk_array_pgs = explode( ',', $pages_array );
			foreach($mk_array_pgs as $a=>$pg_id){
				if($pg_id==$this_page_id){
					$show_on_this=true;
				}
			}
		}
		if(!$show_on_home && (is_front_page() || is_home())){
			return;
		}
		if (
			   empty($campaign_id) || $disable_campaign==1 ||
				 (!current_user_can('administrator') && $campaign_id=='qaxNf3P5mrqD' ) ||
				 (current_user_can('administrator') && $disable_admin ) ||
		     ( !is_front_page() && !is_home() && $all_pages==0 && !current_user_can('administrator') )
		)
		{
			if($show_on_this==false){
				 return;
			}
		}
		echo"\n\n";
		echo"<!--\nChatterPal Campaign Code\n";
		echo"Inserted By ChatterBot2WP Plugin\n-->\n";
		echo '	  <script type="text/javascript" src="https://chatterpal.me/build/js/chatpal.js" crossorigin="anonymous" data-cfasync="false"></script>'."\n";
		echo '		<script>'."\n";
		echo '		   var chatPal = new ChatPal({embedId: "'.$campaign_id.'"});'."\n";
		echo '		</script>'."\n";
		echo"<!--\nEnd of ChatterPal Campaign Code\n $this_page_id \n-->\n".$tst;
		echo"\n\n";
	}
	function chatterbot2wp_options() {
		global $ChatterBot2WP;
		$options = get_option('c2w_options', $ChatterBot2WP->default_options());
		$campaign_id = (isset($options['cpc_id']) && !empty($options['cpc_id'])) ? $options['cpc_id'] : 'qaxNf3P5mrqD';
		$location        = isset($options['c2w_location'])    ? $options['c2w_location']    : 'footer';
		$disable_campaign     = isset($options['c2w_display_campaign']) ? $options['c2w_display_campaign'] : 'qaxNf3P5mrqD';
		$admin_area      = isset($options['admin_area'])      ? $options['admin_area']      : 0;
		$disable_admin   = isset($options['disable_admin'])   ? $options['disable_admin']   : 0;
		$all_pages = isset($options['c2w_all_pages'])  ? $options['c2w_all_pages']  : 0;
		$show_on_home = isset($options['c2w_show_on_home'])  ? $options['c2w_show_on_home']  : 0;
		$pages_array = isset($options['c2w_pages_array'])  ? $options['c2w_pages_array']  : 0;
		return array(
			'options'         => $options,
			'campaign_id'     => $campaign_id,
			'location'        => $location,
			'disable_campaign'=> $disable_campaign,
			'admin_area'      => $admin_area,
			'disable_admin'   => $disable_admin,
			'all_pages'       => $all_pages,
			'show_on_home'    => $show_on_home,
			'pages_array' 		=> $pages_array
		);
	}
?>
