<?php // ChatterBot2WP - Show Support Panel
if (!function_exists('add_action')) die();
$plugin_project = esc_html__('ChatterBot2WP', 'chatterbot2wp');
$plugin_url = esc_url(C2W_URL);
$array = array(
	0  => '<a target="_blank" rel="noopener noreferrer" href="https://chatvatars.com/" title="Chatvatars - Smart Chat & 3D presenters for your website">
				<img width="125" height="125" src="'. $plugin_url .'img/250x250-chatvatar_com.jpg" alt="Chatvatars - Smart Chat & 3D presenters for your website." />
			</a>',
	1  => '<a target="_blank" rel="noopener noreferrer" href="https://thorhammaraxx.com/thor-hammaraxx-programs/" title="Kick Start To Success - Coming soon">
				<img width="125" height="125" src="'. $plugin_url .'img/kickstarttosuccess_300x300.png" alt="Kick Start To Success - Coming soon" />
			</a>',
	2  => '<a target="_blank" rel="noopener noreferrer" href="https://oz-star.com/" title="Oz-Star.com Website hosting">
				<img width="125" height="125" src="'. $plugin_url .'img/oz-star_com_02_2019.jpg" alt="Oz-Star.com Website hosting" />
			</a>',
	3  => '<a target="_blank" rel="noopener noreferrer" href="https://hammaraxis.com/" title="The Hammar Axis by Thor Hammaraxx">
				<img width="125" rel="noopener noreferrer" height="125" src="'. $plugin_url .'img/the_hammar_axis_card_size-300x170.png" alt="The Hammar Axis by Thor Hammaraxx" />
			</a>',
	4  => '<a target="_blank" rel="noopener noreferrer" href="http://os012.com/" title="OS012 An Operating System For The Human Being">
				<img width="125" height="125" src="'. $plugin_url .'img/os012_book_cover_212x190_02.png" alt="OS012 An Operating System For The Human Being" />
			</a>',
	5  => '<a target="_blank" rel="noopener noreferrer" href="https://hammaraxis.com/" title="Free eBook about the Hammar Axis theory by Thor Hammaraxx">
				<img width="125" height="125" src="'. $plugin_url .'img/introduction_ebook_magazine_02.png" alt="Free eBook about the Hammar Axis theory by Thor Hammaraxx" />
			</a>',
	6  => '<a target="_blank" rel="noopener noreferrer" href="https://hammaraxx.com/" title="Hammaraxx the band">
				<img width="125" height="125" src="'. $plugin_url .'img/hammaraxx_com_03_2019.jpg" alt="Hammaraxx the band" />
			</a>',
	7  => '<a target="_blank" rel="noopener noreferrer" href="https://msgzoo.com/" title="MsgZoo.com Anonymouse Internet message platform">
				<img width="125" height="125" src="'. $plugin_url .'img/msgzoo_com_03_2019.jpg" alt="MsgZoo.com Anonymouse Internet message platform" />
			</a>',
	8  => '<a target="_blank" rel="noopener noreferrer" href="http://salviacrusaders.com/" title="Salvia Crusaders of Australia">
				<img width="125" height="125" src="'. $plugin_url .'img/salciacrusaders_com_archive_03_2019.jpg" alt="Salvia Crusaders of Australia" />
			</a>',
);
$items = array_rand($array, 3);
$item1 = isset($array[$items[0]]) ? $array[$items[0]] : 0;
$item2 = isset($array[$items[1]]) ? $array[$items[1]] : 1;
$item3 = isset($array[$items[2]]) ? $array[$items[2]] : 2;
//-----------------------------------------------------------------------------------------
$message  = esc_html__('Thank you for using', 'chatterbot2wp') .' <strong>'. $plugin_project .'</strong>!<br>';
$message .= esc_html__('Please show support by following the links below.', 'chatterbot2wp');
$message .='<br>';
$message .= esc_html__('Your support helps to ensure future development of', 'chatterbot2wp') .' <strong>'. $plugin_project .' </strong>';
$message .= esc_html__('and is greatly appreciated.', 'chatterbot2wp');
?>
<style type="text/css">
	#project-wrap { width: 100%; overflow: hidden; }
	#project-wrap p { margin-top: 5px; font-size: 12px; }
	#project-wrap .project-support { float: left; max-width: 480px; }
	#project-wrap .project-links { width: 100%; overflow: hidden; margin: 15px 0; }
	#project-wrap .project-links img { display: block; width: 125px; height: 125px; margin: 0; padding: 0; border: 0; background-color: #fff; color: #fff; }
	#project-wrap .project-links a { float: left; width: 125px; height: 125px; margin: 0 0 0 15px; padding: 1px; border: 1px solid #ccc; opacity: 0.9; }
	#project-wrap .project-links a:hover { opacity: 1.0; }
	#project-wrap .project-blurb {
		float: left; width: 220px; box-sizing: border-box; margin: 0 0 25px 20px; padding: 15px 20px; border-radius: 5px;
		background-color: #fefefe; border: 1px solid #ccc; box-shadow: 0 20px 25px -20px rgba(0,0,0,0.7);
		}
	#project-wrap .project-blurb a { text-decoration: none; }
	#project-wrap .project-blurb a:hover { text-decoration: underline; }
	#project-wrap .project-blurb p { margin-left: 0; margin-right: 0; }
	#project-wrap .project-blurb p:first-child { margin: 0 0 10px 0; font-size: 13px; }
	#project-wrap .project-blurb ul { margin: 0; padding: 0; font-size: 12px; }
	#project-wrap .project-blurb li { margin: 5px 0; list-style: none; }
	@media (max-width: 520px) {
		#project-wrap .project-links a { margin-bottom: 15px; }
	}
</style>
<div id="project-wrap">
	<div class="project-support">
		<div class="project-message">
			<p><?php echo $message; ?></p>
		</div>
		<div class="project-links">
			<?php echo $item1 . $item2 . $item3; ?>
		</div>
	</div>


	<div class="project-blurb">
		<p><strong>ChatterBot2WP PRO</strong></p>
		<p><img src="<?php echo $plugin_url;?>img/chatterbot2wp_box_pro_200x220.jpg"  alt="ChatterBot2WP PRO" width="200" height="220" /></p>
		<ul>
			<li><a href="https://chatterbot2wp.com/custom-branded-chatterbot2wp-for-agencies/" target="_blank">Custom Branded Version &nbsp;&raquo;</a></li>
		</ul>
	</div>
	<div class="project-blurb">
		<p><strong>AiBot2WP</strong></p>
		<p><img src="<?php echo $plugin_url;?>img/AiBot2WP-box-140x200.png"  alt="AiBot2WP" width="140" height="200" /></p>
		<ul>
			<li><a href="https://aibot2wp.com/" target="_blank">Plugin For HumanBot (New) &nbsp;&raquo;</a></li>
		</ul>
	</div>
</div>
